org.apache.tomcat.util.net

## Class NioEndpoint.PollerEvent

- java.lang.Object
- - org.apache.tomcat.util.net.NioEndpoint.PollerEvent

All Implemented Interfaces:
  Runnable

Enclosing class:
  NioEndpoint

    public static class NioEndpoint.PollerEvent
    extends Object
    implements Runnable

PollerEvent, cacheable object for poller events to avoid GC

### Field Summary

Fields
`protected int` `interestOps`
`protected NioEndpoint.KeyAttachment` `key`
`protected NioChannel` `socket`

### Constructor Summary

Constructors
Constructor and Description
`NioEndpoint.PollerEvent(NioChannel ch, NioEndpoint.KeyAttachment k, int intOps)`

### Method Summary

Methods
`void` `reset()`
`void` `reset(NioChannel ch, NioEndpoint.KeyAttachment k, int intOps)`
`void` `run()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### socket

    protected NioChannel socket

#### interestOps

    protected int interestOps

#### key

    protected NioEndpoint.KeyAttachment key

### Constructor Detail

#### NioEndpoint.PollerEvent

    public NioEndpoint.PollerEvent(NioChannel ch,
                           NioEndpoint.KeyAttachment k,
                           int intOps)

### Method Detail

#### reset

    public void reset(NioChannel ch,
             NioEndpoint.KeyAttachment k,
             int intOps)

#### reset

    public void reset()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`